/*--- (c) 2002 iWombat.com All rights reserved ---*/

package com.iwombat.foundation.environment;


/**
 * Generic interface for a config object - requires a key for a hashmap
 *
 * @author  $Author: bob $
 * @version $Revision: 1.3 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/10/01 18:06:10 $</dd></dl>
 */

public interface Configuration{
    /**
     * Get the key for the config object
     *
     * @return key
     */
    public String getKey();
    /**
     * Set the key of the config object
     *
     * @param a new key value
     */
    public void setKey(String newKey);

	
}
