// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;
/**
 * Identifies various persistence technology keys, typically used in configuration files
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.2 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 16:04:40 $</dd></dl>
 */
public interface PersistenceTechnologies {
   
    /**
     * Key for Microsoft SQL Server =< 7.0
     */
    public static final String MSSQL="mssql";
    
    /**
     * key for Microsoft SQL Server 2000
     */
    public static final String MSSQL_2K="mssql2k";
    
    /**
     * Key for Oracle
     */
    public static final String ORACLE="oracle";
    
    /**
     * Key for Mysql
     */
    public static final String MYSQL="mysql";
    
    /**
     * key for OpenLDAP
     */
    public static final String OPEN_LDAP="openLDAP";
    
}
