// (c) Copyright 2001-2002 iwombat.com all rights reserved

package com.iwombat.tools.querybuilder;

import java.io.*;
import java.beans.*;
import java.util.ArrayList;
import java.util.Iterator;

import com.iwombat.foundation.*;
import com.iwombat.foundation.persist.SQLDescriptor;
/**
 * Description
 *
 * @author  $Author: bob $
 * @version $Revision: 1.2 $
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/10/01 18:06:57 $</dd></dl>
 */

public class SQLDescriptorWriter {

    /** this is a static utility class */
    private SQLDescriptorWriter() {
    }

    public static void writeSQLDescriptor(OutputStream out, ArrayList descriptors) {
        XMLEncoder encoder = new XMLEncoder(out);
        Iterator iter = descriptors.iterator();
        while (iter.hasNext()) {
            try {
                SQLDescriptor desc = (SQLDescriptor)iter.next();
                encoder.writeObject(desc);
            } catch (ClassCastException e) {
                throw new IllegalArgumentException("ArrayList of descriptors must contain SQLDescriptors");
            }
        }
        encoder.close();
    }
}
