/*
 * StringIdentifierDomainObjectPersistable.java
 *
 */

package com.iwombat.foundation.persist;

/**
 *
 */
import com.iwombat.foundation.Identifier;

public interface StringIdentifierDomainObjectDAO extends TransactionalDAO{

    public static final String CREATE_StringIdentifier_DOMAIN_OBJECT="createStringIdentifierDomainObject";
    public static final String UPDATE_StringIdentifier_DOMAIN_OBJECT="updateStringIdentifierDomainObject";
    public static final String GET_StringIdentifier_DOMAIN_OBJECT_BY_ID="getStringIdentifierDomainObjectById";
    public static final String DELETE_StringIdentifier_DOMAIN_OBJECT="deleteStringIdentifierDomainObject";
    
    public void addStringIdentifierDomainObject(StringIdentifierDomainObject StringIdentifierDomainObject);
    public void updateStringIdentifierDomainObject(StringIdentifierDomainObject StringIdentifierDomainObject);
    public StringIdentifierDomainObject getStringIdentifierDomainObjectById(Identifier id);
    public void deleteStringIdentifierDomainObject(StringIdentifierDomainObject StringIdentifierDomainObject);

}
